.ProductReviews {
    @include after-mobile {
        max-height: 326px;
        overflow-y: scroll;
    }

    h4 {
        margin-bottom: 10px;
        font-weight: 600;

        @include after-mobile {
            margin-top: 20px;
        }
    }

    &-SummaryWrapper {
        padding: 25px 16px;
        color: $white;
        background: var(--primary-base-color);
    }

    &-Summary {
        display: grid;
        min-height: 100px;
        max-width: 640px;
        margin: 0 auto;
        grid-template-columns: 2fr 3fr 3fr 3fr;
        grid-row-gap: 20px;
        grid-column-gap: 36px;

        @include mobile {
            grid-template-columns: 1fr 1fr;
            grid-column-gap: 30px;
        }
    }

    &-SummaryLabel {
        display: flex;
        margin-top: 10px;
        justify-content: space-between;

        > span:nth-of-type(1) {
            margin-top: 5px;
        }

        > span:nth-of-type(2) {
            display: block;
            height: 20px;
            min-width: 34px;
            border: 1px solid var(--grey-1-color);
            margin-left: 6px;
            background: var(--grey-6-color);
            text-align: center;
            line-height: 18px;
        }
    }

    &-Count {
        margin-bottom: 2px;
    }

    &-SummaryHeading {
        font-size: 14px;
        font-weight: 600;
    }

    &-SummaryRatingWrapper {
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        text-align: center;

        @include mobile {
            grid-column-start: 1;
            grid-column-end: 3;
        }
    }

    &-SummaryRating {
        font-family: $font-rifton;
        font-size: 28px;
        line-height: 42px;
    }
}
